package com.rnt.commo.enums;
/**
 * 支付单枚举类.<br/>
 * 
 * Copyright: Copyright (c) 2017  zteits
 * 
 * @ClassName: PayOrderEnum.java
 * @Description: 
 * @version: v1.0.0
 * @author: wangfs
 * @date: 2017年5月17日   下午2:49:35 
 * Modification History:
 * Date             Author          Version            Description
 *---------------------------------------------------------*
 * 2017年5月17日      wangfs           v1.0.0               创建
 */
public enum PayOrderEnum {

	/**支付方式:1:支付宝.*/
	PAY_TYPE_ZFB("1", "支付宝"),
	
	/**支付方式:2:微信.*/
	PAY_TYPE_WX("2", "微信"),
	
	/**支付方式:3:银联.*/
	PAY_TYPE_YL("3", "银联"),
	
	/**支付方式:4:微信公众号.*/
	PAY_TYPE_WXGZH("4", "微信公众号"),
	
	/************************************************/
	
	/**支付单类型：1-付款单.*/
	PAY_ORDER_TYPE_PAY("1","付款单"),
	
	/**支付单类型:2-退款单.*/
	PAY_ORDER_TYPE_REFUND("2","退款单"),
	
	/************************************************/
	
	/** 支付单来源 1：停车支付. */
	PAY_RESOURCE_TYPE_PARK("1","停车支付"),
	
	/** 支付单来源 2：增值服务支付. */
	PAY_RESOURCE_TYPE_SERVICE("2","增值服务支付"),
	
	/************************************************/
	
	/** 支付单状态：0-待支付. */
	PAY_ORDER_STATE_WAIT_PAY("0","待支付"),
	
	/** 支付单状态：1-成功 . */
	PAY_ORDER_STATE_PAY_SUCCESS("1","支付成功"),
	
	/** 支付单状态：0-待支付 1-成功 2-失败（作废）. */
	PAY_ORDER_STATE_PAY_FAIL("2","失败（作废"),
	
	/************************************************/
	/** 处理环节 1；待支付. */
	PROCLINK_PAY_WAIT("1","待支付"),
	
	/** 处理环节 2；已支付 . */
	PROCLINK_PAY_SUCCESS("2","已支付"),
	
	/** 处理环节 3；退款. */
	PROCLINK_PAY_REFUND("3","退款"),
	
	/** 处理环节 4；对账. */
	PROCLINK_PAY_COMPAR("4","对账"),
	
	/************************************************/
	
	/** 支付流水类型： 1:异步通知. */
	PAY_FLOW_TYPE_ASYN("1","异步通知"),
	
	/** 支付流水类型： 2:其他. */
	PAY_FLOW_TYPE_OTHERS("2","其他"),
	
	
	/************************************************/
	
	/** 处理结果 1；成功. */
	PROC_RESULT_SUCCESS("1","成功"),
	
	/** 处理结果 2；失败. */
	PROC_RESULT_FAIL("2","失败");
	
	
	
	
	
	private String value;
    private String desc;

    PayOrderEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}
    
}
