package com.rnt.commo.enums;
/**
 * 订单生成前三位规则枚举类.<br/>
 * 规则 key总共三位数 
 * 第一位：1 订单、2订单流水、3 支付单、4 支付流水
 * 第二三位：从01开始 ，例如：101-停车订单 、102-预定停车订单...
 */
public enum SequenceTypeEnum {
		/**停车订单*/
	    ORDER_PARK("101", "停车订单"),
	    
	    /**停车预订单*/
	    ORDER_PARK_PRE("102", "停车预订单"),
	    
	    /**年卡/月卡购买订单.*/
	    ORDER_CARD_BUY("103", "年卡/月卡购买订单"),
	    
	    /**停车订单流水*/
	    ORDER_PARK_FLOW("201", "停车订单流水"),
	    
	    /**年卡/月卡购买流水订单.*/
	    ORDER_CARD_BUY_FLOW("202", "年卡/月卡购买流水订单"),
	    
	    
	   /************************支付单******************************/
	   
		/**支付宝支付订单:301:支付宝支付订单.*/
	    ORDER_PAY_ZFB("301", "支付宝支付订单"),
	    
	    /**微信支付订单：302:微信支付订单.*/
	    ORDER_PAY_WX("302", "微信支付订单"),
	    
	    /**银联支付订单：303:银联支付订单.*/
	    ORDER_PAY_YL("303", "银联支付订单"),
	    
	    /**微信公众号支付订单：304:银联支付订单.*/
	    ORDER_PAY_WXGZH("304", "微信公众号支付订单"),
	    
	    /***********************支付流水*******************************/
	    /**支付宝支付流水订单:401:支付宝支付流水订单.*/
	    ORDER_PAY_FLOW_ZFB("401", "支付宝支付流水订单"),
	    
	    /**微信支付流水订单：402:微信支付流水订单.*/
	    ORDER_PAY_FLOW_WX("402", "微信支付流水订单"),
	    
	    /**银联支付流水订单：403:银联支付流水订单.*/
	    ORDER_PAY_FLOW_YL("403", "银联支付订流水单"),
 
		 /**微信公众号流水支付订单：304:银联支付订单.*/
	    ORDER_PAY_FLOW_WXGZH("404", "微信公众号流水支付订单"),
	    
	    /**个人客户cust_id*/
	    CUST_PERSION_SQE("501", "个人客户cust_id");
	    private String value;
	    private String desc;

	    SequenceTypeEnum(String value, String desc) {
	        this.value = value;
	        this.desc = desc;
	    }

	    public String value() {
	        return this.value;
	    }

	    public String desc() {
	        return this.desc;
	    }
}
