package com.rnt.commo.interceptor;

import javax.servlet.http.HttpServletResponse;

import com.jfinal.aop.Interceptor;
import com.jfinal.aop.Invocation;
import com.jfinal.core.Controller;

/**
 * Copyright: Copyright (c) 2017  zteits
 *
 * @ClassName: com.rnt.commo.interceptor
 * @Description: cors 允许跨域访问
 * @version: v1.0.0
 * @author: atao
 * @date: 2017/6/7   下午3:43
 * Modification History:
 * Date         Author          Version      Description
 * ---------------------------------------------------------*
 * 2017/6/7      atao          v1.0.0          创建
 */
public class CorsInterceptor implements Interceptor {

    @Override
    public void intercept(Invocation inv) {
        Controller controller = inv.getController();
        HttpServletResponse response = controller.getResponse();
        response.setHeader("Access-Control-Allow-Origin", "*");
        response.addHeader("Access-Control-Allow-Methods", "GET, POST, DELETE, PUT");
        response.addHeader("Access-Control-Allow-Headers",
            "Content-Type, X-Auth-Token, x-requested-with ,Authorization");
        inv.invoke();
    }
}
