package com.rnt.service;
/**
 *
 *
 * Copyright: Copyright (c) 2017  zteits
 *
 * @ClassName: CustBindingService.java
 * @Description:
 * @version: v1.0.0
 * @author: wangfs
 * @date: 2017年6月7日   下午8:37:54
 * Modification History:
 * Date             Author          Version            Description
 *---------------------------------------------------------*
 * 2017年6月7日      wangfs           v1.0.0               创建
 */

import java.text.SimpleDateFormat;
import java.util.Date;

import org.beetl.sql.core.kit.StringKit;

import com.rnt.commo.enums.ErrorType;
import com.rnt.model.zf.CustBinding;
import com.rnt.vo.BizResult;

public class CustBindingService {

	/**
	 * 保存绑定信息.<br/>
	 * @param custId
	 * @param appId
	 * @return
	 */
	public BizResult<Boolean> saveCustBinding(String custId,String appId){
		BizResult<Boolean> result = new BizResult<Boolean>();
		SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		Date sysDate = null;
		try{
			sysDate = format.parse(format.format(new Date()));
			if(StringKit.isNotBlank(custId) && StringKit.isNotBlank(appId)){
				CustBinding custBinding = new CustBinding();
                custBinding.setBindingType(1L);
				custBinding.setCustId(custId);
				custBinding.setBindingId(appId);
				custBinding.setCreateDate(sysDate);
                custBinding.setModfiyDate(sysDate);
				Boolean insetFlg = custBinding.save();
					result.setData(insetFlg);
			}else{
				result.setErrorMessage(ErrorType.PARAMM_NULL, "入参不能为空");
			}
		}catch (Exception e) {
			result.setErrorMessage(ErrorType.SYSTEM_ERROR, "业务错误");
			e.printStackTrace();
		}
		return result;
	}
}
