package com.rnt.service;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.beetl.sql.core.kit.StringKit;

import com.rnt.commo.enums.ErrorType;
import com.rnt.commo.enums.SequenceTypeEnum;
import com.rnt.model.zf.CustPerson;
import com.rnt.utils.SequenceUtil;
import com.rnt.vo.BizResult;

/**
 * 个人客户service.<br/>
 * 
 * Copyright: Copyright (c) 2017  zteits
 * 
 * @ClassName: CustPersonService.java
 * @Description: 
 * @version: v1.0.0
 * @author: wangfs
 * @date: 2017年6月7日   下午6:56:16 
 * Modification History:
 * Date             Author          Version            Description
 *---------------------------------------------------------*
 * 2017年6月7日      wangfs           v1.0.0               创建
 */
public class CustPersonService {

	/**
	 * 保存个人客户信息.<br/>
	 * @param phoneNum
	 * @return
	 */
	public BizResult<String> saveCustPerson(String phoneNum){
		BizResult<String> result = new BizResult<String>();
		SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		Date sysDate = null;
		String custId = SequenceUtil.getNextOrderId(SequenceTypeEnum.CUST_PERSION_SQE.value());
		try{
			sysDate = format.parse(format.format(new Date()));
			if(StringKit.isEmpty(phoneNum)){
				result.setErrorMessage(ErrorType.PARAMM_NULL, "入参不能为空");
			}else{
				CustPerson custPerson = new CustPerson();
				custPerson.setCustId(custId);
				custPerson.setUserPhone(phoneNum);
				custPerson.setCreateDate(sysDate);
				boolean insertFlg = custPerson.save();
				if(insertFlg){
					 result.setData(custId);
				}	
			}
			
		}catch (Exception e) {
			result.setErrorMessage(ErrorType.SYSTEM_ERROR, "业务错误");
			e.printStackTrace();
		}
		return result;
	};
	
	/**
	 * 通过手机号查询客户信息.<br/>
	 * @param phoneNum
	 * @return
	 */
	public BizResult<CustPerson> queryCustPerson(String phoneNum){
		BizResult<CustPerson> result = new BizResult<CustPerson>();
		CustPerson custPerson = new CustPerson();
		StringBuffer sql = new StringBuffer("select cust_id from td_c_cust_person where user_phone ='"+phoneNum+"'");
		CustPerson custPersonResult =  custPerson.findFirst(sql.toString());
		result.setData(custPersonResult);
		return result;
	}
	
	
}
