package com.rnt.service;

import java.util.List;

import com.rnt.model.zf.ParkCardCoupons;

/**
 * 停车场卡券表.<br/>
 * 
 * Copyright: Copyright (c) 2017  zteits
 * 
 * @ClassName: ParkCardCouponsService.java
 * @Description: 
 * @version: v1.0.0
 * @author: wangfs
 * @date: 2017年6月8日   上午11:03:37 
 * Modification History:
 * Date             Author          Version            Description
 *---------------------------------------------------------*
 * 2017年6月8日      wangfs           v1.0.0               创建
 */
public class ParkCardCouponsService {

	/**
	 * 通过停停车场编码查询停车场卡信息.<br/>
	 * @param pklNo
	 * @return
	 */
	public List<ParkCardCoupons> queryParkCardCouponsBypklNo(String pklNo){
		
    	StringBuffer sql = new StringBuffer("select a.id,a.park_id,a.goods_big_type,a.goods_type,a.goods_type_remark,a.goods_amount,a.eff_date,a.exp_date,a.data_state ");
    	sql.append(" from  td_b_park_card_coupons a");
    	sql.append(" where 1=1 ");
    	sql.append("  and a.data_state=1");
    	sql.append(" and a.goods_big_type=2");
    	sql.append(" and CURDATE() >=a.eff_date");
    	sql.append(" and CURDATE() <=a.exp_date");
    	sql.append(" and a.park_id = ? ");
    	sql.append(" order by goods_type desc");
		List<ParkCardCoupons> list = new ParkCardCoupons().find(sql.toString(), pklNo);
		return list;
	}
	
	/**
	 * 通过id查询停车场卡信息.<br/>
	 * @param pklNo
	 * @return
	 */
	public ParkCardCoupons queryParkCardCouponsById(Long id){
		return new ParkCardCoupons().findById(id);
	}
	
}
