package com.rnt.service;

import java.math.BigDecimal;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.beetl.sql.core.kit.StringKit;

import com.rnt.commo.enums.DataStateEnum;
import com.rnt.model.zf.CardCoupons;
import com.rnt.model.zf.ParkCardCoupons;
import com.rnt.vo.CardBuyVO;
import com.rnt.vo.PsersonCustCardVO;

/**
 *
 *
 * Copyright: Copyright (c) 2017  zteits
 *
 * @ClassName: PersonCardCouponsService.java
 * @Description:
 * @version: v1.0.0
 * @author: wangfs
 * @date: 2017年6月9日   上午11:28:04
 * Modification History:
 * Date             Author          Version            Description
 *---------------------------------------------------------*
 * 2017年6月9日      wangfs           v1.0.0               创建
 */
public class PersonCardCouponsService {

	/**
	 * 保存个人卡信息.<br/>
	 * @param cardCoupons
	 * @return 主键ID
	 * @throws ParseException
	 */
   public String savePersonCard(CardBuyVO cardBuyVO,ParkCardCoupons parkCardCoupons) throws ParseException{
	   SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
	   SimpleDateFormat format1 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	   CardCoupons cardCoupons = new CardCoupons();
	   boolean insertFlg = false;
	   try{
	   	cardCoupons.setParkCardId(Long.valueOf(cardBuyVO.getParkLotCardId()));
	   	cardCoupons.setCustId(cardBuyVO.getPersonCustId());
	   	cardCoupons.setCardBigType(parkCardCoupons.getGoodsBigType());
	   	cardCoupons.setCardType(parkCardCoupons.getGoodsType());
	   	cardCoupons.setCardPrice(parkCardCoupons.getGoodsAmount());
	   	cardCoupons.setCardNum(Integer.valueOf(cardBuyVO.getBuyNum()));
	   	cardCoupons.setCardTotalAmount(BigDecimal.valueOf(Long.parseLong(cardBuyVO.getTotleMoney())));
	   	cardCoupons.setEffDate(format.parse(cardBuyVO.getStartDate()));
	   	cardCoupons.setExpDate(format.parse(cardBuyVO.getEndDate()));
	   	cardCoupons.setCardScope(parkCardCoupons.getParkId());
	   	cardCoupons.setCarNumber(cardBuyVO.getCarNum());
	   	cardCoupons.setRemark("微信公众号购买卡");
	   	cardCoupons.setPushState(DataStateEnum.PUSH_STATE_NOT_VALID.getValue());
	   	cardCoupons.setDataState(DataStateEnum.DATA_STATE_NOT_VALID.getValue());
	   	cardCoupons.setCreateDate(format1.parse(format1.format(new Date())));
	    insertFlg = cardCoupons.save();
	   }catch (Exception e) {
		   e.printStackTrace();
	}
	   return insertFlg==true ? cardCoupons.getId()+"" : "";

   }
   
   /**
    * 查询个人卡券信息.<br>
    * @return 个人卡券id（主键）
    */
   public String queryPsersonCard(PsersonCustCardVO psersonCustCardVO){
	   String cardCouponsId = "";
	   StringBuffer sql = new StringBuffer("select a.id  ");
	   sql.append(" from td_a_card_coupons a");
	   sql.append(" where  card_big_type = 2 and data_state=1");
	   sql.append(" and a.car_number = ?");
	   sql.append(" and a.park_card_id = ? ");
	   
	   CardCoupons cardCoupons = new CardCoupons().findFirst(sql.toString(),psersonCustCardVO.getCarNumber(),psersonCustCardVO.getParkCardId());
	   if(cardCoupons != null && cardCoupons.getId() != null){
		   cardCouponsId = cardCoupons.getId()+"";
	   }
	   return cardCouponsId;
   }
   
}
