package com.rnt.utils;

import com.rnt.model.common.WXUser;

/**
 * Copyright: Copyright (c) 2017  zteits
 *
 * @ClassName: com.rnt.utils
 * @Description: ThreadLocal 微信用户 工具类
 * @version: v1.0.0
 * @author: atao
 * @date: 2017/6/8   下午4:17
 * Modification History:
 * Date         Author          Version      Description
 * ---------------------------------------------------------*
 * 2017/6/8      atao          v1.0.0          创建
 */
public class TLWXUser {

    private static final ThreadLocal<WXUser> tl = new ThreadLocal<WXUser>();

    public static WXUser getWXUser() {
        return tl.get();
    }

    public static void setWXUser(WXUser wxUser) {
        tl.set(wxUser);
    }

    public static String getOpenId(){
        return getWXUser().getOpenId();
    }

    public static String getCustId(){
        return getWXUser().getCustId();
    }

    public static void remove() {
        tl.remove();
    }

}
